package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.OpMode;
import com.qualcomm.robotcore.eventloop.opmode.TeleOp;

import org.firstinspires.ftc.teamcode.cometbots.CometBotTeleOpDevelopment;
import org.firstinspires.ftc.teamcode.subsystems.ArmSubsystem;
import org.firstinspires.ftc.teamcode.subsystems.ClawSubsystem;
import org.firstinspires.ftc.teamcode.subsystems.DualMotorSliderSubsystem;
import org.firstinspires.ftc.teamcode.subsystems.HangMotorSubsystem;
import org.firstinspires.ftc.teamcode.subsystems.WristSubsystem;
@TeleOp(name = "CometBot Drive V2.137", group = "Competition")
public class CometBotTeleOpCompetition extends OpMode {
    public DualMotorSliderSubsystem slide;
    public CometBotTeleOpDevelopment runMode;

    @Override
    public void init() {
        runMode = new CometBotTeleOpDevelopment(hardwareMap, gamepad1, gamepad2);
        slide = new DualMotorSliderSubsystem(hardwareMap);
        runMode.init();
    }

    @Override
    public void loop() {
        runMode.update();

        telemetry.update();
    }
    public void stop(){

    }
}
